<?php
    //Directorio
    $dir = getcwd();
    $directorio = opendir($dir);

    $archivos = array();
    $carpetas = array();

    //Carpetas y Archivos a excluir
    $excluir = array('.', '..', 'index.php');
    while ($f = readdir($directorio)) {
        if (is_dir("$dir/$f") && !in_array($f, $excluir)) {
            $carpetas[] = $f;
        } else if (!in_array($f, $excluir)){
            //No es una carpeta, por ende lo mandamos a archivos
            $archivos[] = $f;
        }
    }
    closedir($directorio);
    sort($carpetas,SORT_NATURAL | SORT_FLAG_CASE);
    sort($archivos,SORT_NATURAL | SORT_FLAG_CASE);


    $host= $_SERVER["HTTP_HOST"];
    $url= $_SERVER["REQUEST_URI"];
    $urlCompleta = $host . $url;

    $nombreTemporal = "Cuentas Públicas 2023";

?>

<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="utf-8">
<title>Ziracuaretiro | Archivo</title>
<link href="https://ziracuaretiro.gob.mx/css/bootstrap.css" rel="stylesheet">
<link href="https://ziracuaretiro.gob.mx/css/style.css" rel="stylesheet">
<link href="https://ziracuaretiro.gob.mx/css/responsive.css" rel="stylesheet">

<link rel="shortcut icon" href="images/favicon.png" type="image/x-icon">
<link rel="icon" href="images/favicon.png" type="image/x-icon">

<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">

</head>

<body>

<div class="page-wrapper">
    <!-- Preloader -->

    <!-- Titulo de la Pagina -->
    <section class="page-banner">
        <div class="image-layer" style="background-image:url(https://ziracuaretiro.gob.mx/recursos/imagenes/bannerCategorias.jpg);"></div>

        <div class="banner-inner">
            <div class="auto-container">
                <div class="inner-container clearfix">
                    <h1>Archivo | <?php echo $nombreTemporal ?></h1>
                    <div class="page-nav">
                        <ul class="bread-crumb clearfix">
                            <li><a href="index.html">Inicio</a></li>
                            <li class="active">Concentrado de Archivo</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>

	<!--FAQs Section-->
    <section class="faqs-section">
        <div class="auto-container">
            <div class="sec-title with-separator centered">
                <h2>Archivos disponibles</h2>
                <div class="separator"><span class="cir c-1"></span><span class="cir c-2"></span><span class="cir c-3"></span></div>
                <p>Da Click encima del nombre de cada archivo para descargarlo o visualizarlo</p>
            </div>

            <?php
                $i = 1;
                    foreach ($archivos as $a) {
                        echo '<center> <i class="fas fa-file-download"></i> <a href="' . $a . '"> ' . $a . '</a> <br>';
                            if (($i % 6) == 0 && ($i % 18) != 0) {
                                echo '</div><div class="col"> </center>';
                            }
                            if (($i % 18) == 0) {
                                echo '</div></div><div class="row"><div class="col"> </center>';
                            }
                            $i++;
                    }
                    
                    foreach ($carpetas as $a) {
                        echo '<center> <i class="fas fa-folder"></i> <a href="' . $a . '"> ' . $a . '</a> <br>';
                            if (($i % 6) == 0 && ($i % 18) != 0) {
                                echo '</div><div class="col"> </center>';
                            }
                            if (($i % 18) == 0) {
                                echo '</div></div><div class="row"><div class="col"> </center>';
                            }
                            $i++;
                    }
            ?>
        </div>
    </section>
</div>
<!--End pagewrapper-->
<!--Scroll to top-->
<div class="scroll-to-top scroll-to-target" data-target="html"><span class="icon flaticon-up-arrow-angle"></span></div>

<script src="js/jquery.js"></script>
<script src="js/popper.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/jquery-ui.js"></script>
<script src="js/jquery.fancybox.js"></script>
<script src="js/scrollbar.js"></script>
<script src="js/appear.js"></script>
<script src="js/wow.js"></script>
<script src="js/custom-script.js"></script>
    
<script>//<![CDATA[
function getlink() {
    var aux = document.createElement("input");
    aux.setAttribute("value", window.location.href.split("?")[0].split("#")[0]);
    document.body.appendChild(aux);
    aux.select();
    document.execCommand("copy");
    document.body.removeChild(aux);
    var css = document.createElement("style");
    var estilo = document.createTextNode("#aviso {position:fixed; z-index: 9999999; widht: 120px; top:30%;left:50%;margin-left: -60px;padding: 20px; background: gold;border-radius: 8px;font-size: 14px;font-family: sans-serif;}");
    css.appendChild(estilo);
    document.head.appendChild(css);
    var aviso = document.createElement("div");
    aviso.setAttribute("id", "aviso");
    var contenido = document.createTextNode("URL copiada");
    aviso.appendChild(contenido);
    document.body.appendChild(aviso);
    window.load = setTimeout("document.body.removeChild(aviso)", 2000);
}
//]]></script>

</body>
</html>